<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Fraud Detection</title>
    <style>
        /* Reset styles */
        * {
          box-sizing: border-box;
          margin: 0;
          padding: 0;
      }

      header {
          height: 80px;
          background-color: #29b6f6;
          color: #fff;
      }

      .heading {
          display: flex;
          justify-content: center;
          align-items: center;
      }

      body {
          font-family: Arial, sans-serif;
          font-size: 16px;
          line-height: 1.5;
          color: #333;
          background-color: #f4f4f4;
      }

      /* Form container styles */
      .form-container {
          width: 60%;
          margin-right: 20px;
          background-color: #fff;
          border-radius: 5px;
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
          padding: 20px;
          display: flex;
      }

      .form-container::after {
          content: "";
          display: table;
          clear: both;
      }

      .form-left,
      .form-right {
          width: 50%;
          padding-right: 90px;
      }

      .form-left{
        float:left;
      }

      .form-right{
        float: right;
      }

      form label {
          display: block;
          margin-bottom: 5px;
          font-size: 1.2em;
          font-weight: 700;
          color: #555;
      }

      form input[type="text"],
      form input[type="password"],
      form textarea {
          display: block;
          width: 100%;
          padding: 10px;
          border-radius: 5px;
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
          font-size: 1.2em;
          color: #555;
          background-color: #f4f4f4;
          border: 1px solid black;
          border-radius: 5px;
      }

      form input[type="text"]:focus,
      form input[type="password"]:focus,
      form textarea:focus {
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
      }

      form button[type="submit"] {
          display: block;
          width: 100%;
          padding: 10px;
          padding-top: 5px !important;
          border: none;
          border-radius: 5px;
          background-color: #e63946;
          color: #fff;
          font-size: 1.2em;
          font-weight: 700;
          cursor: pointer;
          transition: background-color 0.3s ease;
      }

      form button[type="submit"]:hover {
          background-color: #9d121d;
      }

      /* Result container styles */
      .result-container {
          width: 35%;
          background-color: #fff;
          border-radius: 5px;
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
          padding: 20px;
      }

      .result {
          font-size: 1.2em;
          color: #555;
      }

      /* Container styles */
      .container {
          display: flex;
          justify-content: space-between;
          margin: 20px 100px;
          max-width: 1500px;
      }

      @media (max-width: 768px) {
          .container {
              flex-direction: column;
          }
        }

        form button[type="submit"]:hover {
            background-color: #9d121d;
        }

        /* Result container styles */
        .result-container {
            width: 35%;
            background-color: #fff;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            padding: 20px;
        }
        #image-container{
          display: flex;
          justify-content: center;
          align-items: center;
          animation: waiting 1s infinite;
        }

        .result {
            font-size: 1.2em;
            color: #555;
        }
        
        @keyframes waiting {
          0% {
              opacity: 1;
          }
          50% {
              opacity: 0.5;
          }
          100% {
              opacity: 1;
          }
      }



        /* Container styles */
        .container {
            display: flex;
            justify-content: space-between;
            margin: 20px 90px;
            max-width: 1500px;
        }

        @media (max-width: 768px) {
            .container {
                flex-direction: column;
            }

            .form-container,
            .result-container {
                width: 100%;
                margin-right: 0;
                margin-bottom: 20px;
            }
        }
    </style>
</head>
<body>
<header>
    <h1 class="heading">Fraud Detection <p style="font-size:14px"> Prod env</p></h1>
    <div class="nav" style="padding:10px; align: center">
        <h3 style="color: white; text-decoration: none; float: right"></h3>
    </div>
</header>
<main>
    <div class="container">
        <div class="form-container">
            <form method="post" action="result">
                {% csrf_token %}
                <div class="form-left">
                    <label for="input2">Amount:</label>
                    <input type="text" id="input2" name="input2" value={{amount}}>
                    <label for="input4">Card:</label>
                    <input type="text" id="input4" name="input4" value={{card}}>
                    <label for="input6">Errors?:</label>
                    <input type="text" id="input6" name="input6" value={{errors}}>
                    <label for="input8">Merchant City:</label>
                    <input type="text" id="input8" name="input8" value="{{merchantCity}}">
                    <label for="input10">MCC:</label>
                    <input type="text" id="input10" name="input10" value="{{mcc}}">
                </div>
                <div class="form-right">
                    <label for="input1">User:</label>
                    <input type="text" id="input1" name="input1" value="{{user_profile}}" placeholder="">
                    <label for="input3">Use chip:</label>
                    <input type="text" id="input3" name="input3" value="{{useChip}}">
                    <label for="input5">Merchant Name:</label>
                    <input type="text" id="input5" name="input5" value="{{merchantName}}">
                    <label for="input7">Merchant state:</label>
                    <input type="text" id="input7" name="input7" value="{{merchantState}}">
                    <label for="input9">Zip:</label>
                    <input type="text" id="input9" name="input9" value="{{zip}}">
                </div>
                <div class="sub" style="margin-top:415px ;">
                  <button type="submit" class="btn btn-primary" >Calculate</button>
                </div>
            </form>
        </div>
        <div class="result-container">
          <h3 class="result">Please provide all the inputs</h3>
            {% load static %}
            <div id="image-container">
              <img src="{% static 'waiting.png' %}" alt="waiting Image" style="max-width: 70%; height: auto;">
          </div>
          </div>

      </div>
        </div>
    </div>
</main>
</body>
</html>
